*** Settings ***
Library    JSONSchemaLibrary    schemas/
Resource   environment/variables.txt
Resource   NSInstanceUsageNotificationKeywords.robot  
Library    REST    ${NFVO_SCHEMA}://${NFVO_HOST}:${NFVO_PORT}    ssl_verify=false
Library    OperatingSystem
Library    JSONLibrary
Suite Setup    Check resource existence and get CallbackUri

*** Test Cases ***
NS Instance Usage Notification
    [Documentation]    Test ID: 9.3.2.4.1
    ...    Test title: NS Instance Usage Notification
    ...    Test objective: The objective is to test that NS Instance Usage Notification is delivered with success to the notification consumer
    ...    Pre-conditions: A subscription for instance usage notification is available in the NFVO.
    ...    Reference: Clause 8.5.5.3.1 - ETSI GS NFV-SOL 011 [8] v3.3.1
    ...    Config ID: Config_prod_Notif_Endpoint
    ...    Applicability: none
    ...    Post-Conditions: none 
    POST NS Instance Usage Notification
    Check HTTP Response Status Code Is    204